# -*- coding: utf-8 -*-
import pymel.core as pm
from mtoa.ui.ae.shaderTemplate import ShaderAETemplate

class AEaiUvTransformTemplate(ShaderAETemplate):
    def setup(self):
        self.addSwatch()
        self.beginScrollLayout()

        self.addControl('passthrough', label='输入')
        self.addSeparator()

        self.addControl('uvset', label='UV集')


        self.beginLayout('帧', collapse=False)
        self.addControl('scaleFrame', label='规模')
        self.addControl('translateFrame', label='变换')
        self.addControl('rotateFrame', label='旋转')
        self.addControl('pivotFrame', label='枢轴')
        self.addControl('wrapFrameU', label='包裹 U')
        self.addControl('wrapFrameV', label='包裹 V')
        self.addControl('wrapFrameColor', label='包裹颜色')
        self.endLayout()

        self.beginLayout('变换', collapse=False)
        self.addControl('repeat', label='重复')
        self.addControl('offset', label='抵消')
        self.addControl('rotate', label='旋转')
        self.addControl('pivot', label='枢轴')
        self.addControl('coverage', label='遮罩')
        self.endLayout()

        self.beginLayout('UV修改', collapse=False)
        self.addControl('noise', label='噪声')
        self.addControl('mirrorU', label='镜子U')
        self.addControl('mirrorV', label='镜子V')
        self.addControl('flipU', label='反转U')
        self.addControl('flipV', label='反转V')
        self.addControl('swapUv', label='交换Uv')
        self.addControl('stagger', label='交叉')
        self.endLayout()
        self.addControl('unit', label='单元')

        pm.mel.AEdependNodeTemplate(self.nodeName)
        
        self.addExtraControls()
        self.endScrollLayout()
